Bug 235151 - whither /proc/scsi/qla2xxx/ ?
whither /proc/scsi/qla2xxx/ ?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 21:39 EDT by Bryan Bird
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 17:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Bird 2007-04-03 21:39:57 EDT
Description of problem:
 i've been unable to find the functionality associated with /proc/scsi/qla2xxx/
in since FC2. would you point me to the correct place for this information now?
or, if i have my head planted very far up my rear, would you advise on
disentanglement?
thanks!

Version-Release number of selected component (if applicable):
 filesystem-2.3.7-1.2.1.src.rpm

How reproducible:
 i'm quite capable of being ignorant over and over again.

Steps to Reproduce:
1. ls /proc/scsi/qla2xxx/
2. aimlessly meander about /sys poking under stones for missing bits
3. substitute all fibre hardware components, then begin again at step 1.
  
Actual results:
% ls -l /proc/scsi/
total 0
-r--r--r-- 1 root root 0 Apr  3 18:28 device_info
-r--r--r-- 1 root root 0 Apr  3 18:28 scsi
dr-xr-xr-x 2 root root 0 Apr  3 18:28 sg/
  
% cat /proc/scsi/scsi 
Attached devices:
Host: scsi0 Channel: 00 Id: 08 Lun: 00
  Vendor: DP       Model: BACKPLANE        Rev: 1.00
  Type:   Enclosure                        ANSI SCSI revision: 05
Host: scsi0 Channel: 02 Id: 00 Lun: 00
  Vendor: DELL     Model: PERC 5/i         Rev: 1.00
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: DGC      Model: LUNZ             Rev: 0219
  Type:   Direct-Access                    ANSI SCSI revision: 04

% ./lsscsi 
[0:0:0:0]    disk    SEAGATE  ST336607LC       DS09  /dev/sda
[0:0:1:0]    disk    IBM      IC35L146UCDY10-0 S27T  /dev/sdb
[0:0:6:0]    process PE/PV    1x2 SCSI BP      1.0   -       
[3:0:0:0]    disk    DGC      LUNZ             0219  /dev/sdc

% lsmod  |grep qla
qla2300               128065  0 
qla2xxx               111761  1 qla2300
scsi_transport_fc      41281  1 qla2xxx
scsi_mod              171665  4 qla2xxx,scsi_transport_fc,mptscsih,sd_mod

% lspci | grep -i qla
02:0b.0 Fibre Channel: QLogic Corp. QLA2312 Fibre Channel Adapter (rev 02)
02:0b.1 Fibre Channel: QLogic Corp. QLA2312 Fibre Channel Adapter (rev 02)


Expected results:
(by example of a 2.6.9 host)

[root@mega-writer-01 ~]# cat /proc/scsi/qla2xxx/1
QLogic PCI to Fibre Channel Host Adapter for QLA2342:
        Firmware version 3.03.18 IPX, Driver version 8.01.02-d4
ISP: ISP2312, Serial# G52793
Request Queue = 0xe240000, Response Queue = 0xe280000
Request Queue count = 2048, Response Queue count = 512
Total number of active commands = 0
Total number of interrupts = 88313867
    Device queue depth = 0x20
Number of free request entries = 1160
Number of mailbox timeouts = 0
Number of ISP aborts = 1
Number of loop resyncs = 0
Number of retries for empty slots = 0
Number of reqs in pending_q= 0, retry_q= 0, done_q= 0, scsi_retry_q= 0
Host adapter:loop state = <READY>, flags = 0x1a03
Dpc flags = 0x4000000
MBX flags = 0x0
Link down Timeout = 030
Port down retry = 030
Login retry count = 030
Commands retried with dropped frame(s) = 0
Product ID = 4953 5020 2020 0002


SCSI Device Information:
scsi-qla0-adapter-node=200000e08b89f9f5;
scsi-qla0-adapter-port=210000e08b89f9f5;
scsi-qla0-target-0=500601693060134c;
scsi-qla0-target-1=500601613060134c;

FC Port Information:
scsi-qla0-port-0=50060160b060134c:500601693060134c:611a13:81;
scsi-qla0-port-1=50060160b060134c:500601613060134c:611b13:82;

SCSI LUN Information:
(Id:Lun)  * - indicates lun is not registered with the OS.
( 0: 0): Total reqs 254, Pending reqs 0, flags 0x0, 0:0:81 00
( 0:16): Total reqs 6162449, Pending reqs 0, flags 0x0, 0:0:81 00
...(lots more LUNS)


Additional info:
Comment 1 Bryan Bird 2007-04-04 17:07:57 EDT
turns out this is a qlogic driver issue.
i'm able to get the functionality after using the newest driver here:
 http://solutions.qlogic.com/KanisaSupportSite/dynamickc.do?externalId=12242&sliceId=&command=show&forward=nonthreadedKC&kcId=12242

Note You need to log in before you can comment on or make changes to this bug.